summaryrefslogtreecommitdiff
path: root/functions/l10n.sh
diff options
context:
space:
mode:
authorTiago Bortoletto Vaz <tiagovaz@safernet.org.br>2008-08-10 17:39:06 +0200
committerDaniel Baumann <daniel@debian.org>2011-03-09 19:03:38 +0100
commit9be35287b82e146fdabebc4d45233a99c4f59a4a (patch)
tree14d79e23efada054f60932c24c400d5db03515fa /functions/l10n.sh
parent7bd69bd567f5214d31de41fa895ac8978f436871 (diff)
downloadlive-build-9be35287b82e146fdabebc4d45233a99c4f59a4a.zip
live-build-9be35287b82e146fdabebc4d45233a99c4f59a4a.tar.gz
Adding the basic infrastructure to provide l10n support for live-helper.
Diffstat (limited to 'functions/l10n.sh')
-rwxr-xr-xfunctions/l10n.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/functions/l10n.sh b/functions/l10n.sh
new file mode 100755
index 0000000..0693b42
--- /dev/null
+++ b/functions/l10n.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# l10n.sh - load the needed localization things for all lh messages
+# Copyright (C) 2006-2008 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# gettext domain (.mo file name)
+export TEXTDOMAIN=live-helper
+# locale dir for gettext codes
+export TEXTDOMAINDIR=/usr/share/locale
+# load gettext functions
+. gettext.sh